Bug 742554 - use the /run directory by default
use the /run directory by default
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Rajnoha
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-30 10:34 EDT by Michal Schmidt
Modified: 2013-05-06 03:15 EDT (History)
12 users (show)

See Also:
Fixed In Version: lvm2-2.02.96-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-02 09:16:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Schmidt 2011-09-30 10:34:25 EDT
Description of problem:
Instead of:
  /var/lock/lvm
  /var/run/lvm
please configure lvm2 to use by default:
  /run/lock/lvm
  /run/lvm

/run is that it is a read-write dir guaranteed to be available in early boot. The advantage of using /run is that file-based locking will be available all the time, even before /var is available. It should allow us to drop the use of '--sysinit' from the vgchange call in initscripts, making it safer for concurrency.

Version-Release number of selected component (if applicable):
lvm2-2.02.86-5.fc16
Comment 1 Alasdair Kergon 2011-09-30 17:44:43 EDT
currently uses %{_localstatedir}

can certainly replace with whatever spec file macros now expand to those new locations and specify them as defaults set by %configure

This change won't support package upgrade unless we make the code check both old and new locations, so only apply for new installs i.e. rawhide or not-yet-released distro version - no backports to earlier Fedora vsns.
Comment 2 Peter Rajnoha 2012-07-02 09:16:11 EDT
The change is in rawhide now (lvm2-2.02.96-2.fc18), I'll have a look and make sure everything's ready to close bug #742564 as well...

Note You need to log in before you can comment on or make changes to this bug.